Windy API, change of conditions


  • Administrator

    Edited 26.9.2018

    Dear developers. After a lot of negative feedback regarding our API, we will revise conditions once more, to be more friendly.

    Unfortunately ecmwf model must run only on windy.com website and not in third party apps so API v4 will have only "free" models.

    Therefore API v3 will have to be shut down ASAP and I will do it as soon we will have time to it.

    API v2.3 is relatively safe since it runs on gfs

    I will appreciate some suggestion about conditions and pricing for API v4.


    Dear users
    We have received a very unfriendly note from UK Met Office regarding ECMWF data in our APIs.
    The result is bad for all of us. As of 25.9.2018 we will switch off API3. So if have not migrated to API4 do it now. Also as of 25.9.2018 we MUST change conditions of our API4 as follows: Paid version of API will contain gfs and iconEu models and all the layers whose publisher is NOAA or DWD. There will be no ecmwf model in the API4. Free version of API4 will contain only gfs model and only wind and temperature layer. Of course this has nothing to do with MetOffice pressure on us. Please see it as a way how to financially support Windy. Non-commercial, ad free projects, that bring some additional value to its users will be upgraded to paid version for free. If you are paid customer, and do not agree with the new terms above please ask us to return non-consumed part of your payment. We will return the money, less banking fees.
    Ivo



  • "Free version" is like "nothing version". At least put the gfs precipitation layer for free!



  • Oooh, this really sounds bad! Without ECMWF Windy is nothing special anymore :( I know EC's data is very expensive, if you have to buy it straight from ECMWF. But have you tried to buy some limited amount of data or part of the service from private companies like Foreca or Meteogroup?

    Does this apply only to the API? Do we have ECMWF still in www.windy.com?



  • Just started playing with the API today so I need some clarification. The 'Radar, lightning' overlay would be available in the paid version?



  • HI
    May I have know is their any documentation available to use API in mobile apps PLease share us the details contact email will be helpfull



  • Hi, this (There will be no ecmwf model in the API4) will affect the web site https://www.windy.com ?
    thanks



  • Since the API v2.3 safe, why not continue to use it? From my observations, the API v2.3 data is more accurate. Can you keep the API v2.3, instead of stopping its service in November?
    Even the charges should be on a stable version. And for many problems, the site's reply is not timely or even do not answer, in this case how to charge it? Once a fee relationship is established, it means more responsibility.


  • Administrator

    @lrlss We can't technically support API v2.3 anymore. Will be closed.


Log in to reply
 

Windyty, S.E. - all rights reserved. Powered by excellent NodeBB
NodeBB & contributors, OSM & contributors, HERE maps

Looks like your connection to Windy Community was lost, please wait while we try to reconnect.